Subject: Re: bug#60077: 29.0.60; Is xterm modifyOtherKeys support broken?

From: Len Trigg <[email-masked]>
Date: Thu, 15 Dec 2022 21:57:00 +1300

On Thu, 15 Dec 2022 at 21:38, Len Trigg <[email-masked]> wrote:

> Do you think it's just a matter of the dolist on line 466 of xterm.el
> needing additional entries (I don't see one there for M-SPC)?
>

For example, I see there looks to be an entry for C-M-SPC:
                   (7 32 [?\C-\M-\s])
And my wild speculation from looking at the example table "Other
modified-key escapes" on
https://invisible-island.net/xterm/modified-keys-us-pc105.html is that
emacs would need an entry like:
                   (3 32 [?\M-\s])
to handle the modifyOtherKeys encoding of "\E[27;3;32~" for M-SPC, but also
that there are probably many many other sequences that aren't being handled.

Cheers,
Len.